SymetryML Documentation
Data drift

Score projects against a fitted drift calculator

The request body is a `DriftCalculatorCalculateContext`. The response's `KSVDMap` field returns one result entry per project passed in `projects`, in the same order, each keyed by `datadrift_pca_result`, `datadrift_pca_threshold`, `datadrift_mahalanobis_result`, and `datadrift_mahalanobis_threshold`.

POST
/{user}/driftCalculator/{driftCalculatorId}/calculate

The request body is a DriftCalculatorCalculateContext. The response's KSVDMap field returns one result entry per project passed in projects, in the same order, each keyed by datadrift_pca_result, datadrift_pca_threshold, datadrift_mahalanobis_result, and datadrift_mahalanobis_threshold.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

driftCalculatorId*string

Drift calculator identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for the drift calculator calculate endpoint.

Response Body

application/json

application/json

curl -X POST "https://example.com/c1/driftCalculator/dc1/calculate" \  -H "Content-Type: application/json" \  -d '{    "projects": [      "production_prj_0",      "production_prj_1"    ],    "features": []  }'
{  "statusCode": 200,  "statusString": "calculate done",  "values": {    "KSVDMap": {      "values": [        {          "datadrift_pca_result": 48.34386230518053,          "datadrift_pca_threshold": 1.5411297181850343,          "datadrift_mahalanobis_result": 3.4050385192815624,          "datadrift_mahalanobis_threshold": 6.772459022565492        },        {          "datadrift_pca_result": 91.91243029315874,          "datadrift_pca_threshold": 1.5411297181850343,          "datadrift_mahalanobis_result": 79.13540840798673,          "datadrift_mahalanobis_threshold": 6.772459022565492        }      ]    }  }}

{  "statusCode": 500,  "statusString": "Generic Exception [java.lang.IllegalStateException: fit() must be called before calculateFromProjects()]",  "values": {}}